de.caff.generics

## Class MutableShortIndexable.Base

- java.lang.Object
- - de.caff.generics.ShortIndexable.Base
  - - de.caff.generics.MutableShortIndexable.Base

- All Implemented Interfaces:
    Copyable<MutableShortIndexable>, MutableShortIndexable, PrimitiveShortIterable, ShortIndexable, Sizeable, java.lang.Comparable<ShortIndexable>, java.lang.Iterable<java.lang.Short>
  Enclosing interface:
    MutableShortIndexable

      public abstract static class MutableShortIndexable.Base
      extends ShortIndexable.Base
      implements MutableShortIndexable

  Abstract base class which provides useful implementations for `Object.equals(Object)`, `Object.hashCode()`, `Object.toString()`.
  See Also:
    `Indexable.asBase()`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface de.caff.generics.MutableShortIndexable

      `MutableShortIndexable.Base`

  - ### Field Summary

    - ### Fields inherited from interface de.caff.generics.MutableShortIndexable

      `EMPTY`

    - ### Fields inherited from interface de.caff.generics.ShortIndexable

      `SINGLE_0`

    - ### Fields inherited from interface de.caff.generics.PrimitiveShortIterable

      `EMPTY_SHORT_ITERATOR`

    - ### Fields inherited from interface de.caff.generics.Sizeable

      `NULL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Base()`

  - ### Method Summary

    - ### Methods inherited from class de.caff.generics.ShortIndexable.Base

      `asBase, compareTo, equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.caff.generics.MutableShortIndexable

      `asList, based, copy, copyInternally, copyOf, empty, fillFrom, fromArray, fromArray, fromByteIndexable, fromDoubleIndexable, fromFloatIndexable, fromIndexable, fromIndexable, fromIntIndexable, fromIterable, fromLongIndexable, fromShortIndexable, getCopy, headSet, init, init, initByIndex, initByIndex, order, order, reverse, revert, revert, set, setFrom, setFrom, setFromArray, setMulti, shuffle, subSet, swap, swyp, sybSet, syt, tailSet, toMutableIntIndexable, viewArray, viewArray, viewIndexable, viewList, zeroed`

    - ### Methods inherited from interface de.caff.generics.ShortIndexable

      `addAllTo, addToArray, addToArray, addToArray, addToArray, asBase, asCollection, asIndexable, asIntIndexable, asUnsignedIndexable, binarySearch, binarySearch, compare, compareUnsigned, emptyIndexable, equal, equal, firstMatch, foldLeft, frozen, get, getMod, gyt, hash, indexes, intIndexes, intIterator, isEmpty, isOrdered, isOrdered, isStrictlyOrdered, isStrictlyOrdered, iterator, lastMatch, listIterator, nextMatch, ordered, ordered, previousMatch, rotated, shortIterator, shortIterator, singleton, toArray, toIntArray, toList, toString, view, viewArray, viewAsBoolean, viewAsByte, viewAsDouble, viewAsFloat, viewAsInt, viewAsLong, viewAsUnsignedInt, viewAsUnsignedLong, viewByIndex, viewIndexable, viewIndexable, viewIndexable, viewList, viewList, viewList, viewNumberArray, viewOp, withAppendedValue, withCachedHash, withExchangedValueAt, withInsertedValueAt, withRemovedValueAt, withSwappedValuesAt`

    - ### Methods inherited from interface de.caff.generics.PrimitiveShortIterable

      `asIntIterable, asLongIterable, asUnsignedIntIterable, asUnsignedLongIterable, containsShort, forEachShort, forEachShortFragile`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

    - ### Methods inherited from interface de.caff.generics.Sizeable

      `size`

    - ### Methods inherited from interface de.caff.generics.Copyable

      `copy`

- - ### Constructor Detail

    - #### Base

          public Base()